Bug 490748 - ibus-anthy Kana key doesn't do anything
ibus-anthy Kana key doesn't do anything
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ibus-anthy (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Peng Huang
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 481098
  Show dependency treegraph
 
Reported: 2009-03-17 15:53 EDT by Warren Togami
Modified: 2009-04-02 03:48 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-02 03:48:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Warren Togami 2009-03-17 15:53:33 EDT
http://en.wikipedia.org/wiki/Language_input_keys
The button on the Japanese keyboard labelled カタカナ ひらがな ローマ字 seems to do nothing with ibus-anthy.  It is supposed to force input into a particular mode without conversion.

ibus-0.1.1.20090203-1.fc10.x86_64
ibus-anthy-0.1.1.20090203-1.fc10.x86_64
Comment 1 Jens Petersen 2009-03-30 05:30:18 EDT
Kana key (labelled Katakana/Hiragana) should rotate the state of the next pre-edits through Katakana, half-katakana, and back to hiragana (the default): ie the kana subset of the ibus-anthy input modes (not full-width ascii and normal width ascii).
Comment 2 Jens Petersen 2009-04-02 02:00:23 EDT
The keysym is Hiragana_Katanaka.
Comment 3 Peng Huang 2009-04-02 03:48:42 EDT
Fixed in ibus-anthy-1_1_0_20090402-1_fc11

Note You need to log in before you can comment on or make changes to this bug.